#if !defined(MATERIAL_H)
#define MATERIAL_H

/****************************************************************************/
/** \class Material
    \brief Container fuer ein Material
*****************************************************************************/
class Material  
{
private:
   int m_mid;
   std::vector<int> m_textureList;

   unsigned long m_time;
   int m_index;
public:
   Material();
   virtual ~Material();
   
   int getID(void);
   int getTID(void);

   void load(DataInputStream&  dataIn);  // throws IOException;
   void save(DataOutputStream& dataOut); // throws IOException;
};
#endif // !defined(MATERIAL_H)
